import express from "express";
import { addBorrow, getAllBorrows, updateBorrow, deleteBorrow } from "../controllers/borrowController.js";
import verifyCookies from "../middleware/authMiddleware.js";

const router = express.Router();

router.post("/add", verifyCookies, addBorrow);
router.get("/", verifyCookies, getAllBorrows);
router.put("/:id", verifyCookies, updateBorrow);
router.delete("/:id", verifyCookies, deleteBorrow);

export default router;
